# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.4.0](https://gitlab.com/booost/validator/compare/v1.3.0...v1.4.0) (2021-01-19)


### Features

* add tests for task-26 ([b552a7c](https://gitlab.com/booost/validator/commit/b552a7c61f4dac53b45f852f508088c16ced5e80))
* add tests for task-28 ([eaf6410](https://gitlab.com/booost/validator/commit/eaf64105fd2eb81564381e9bf7f9668c54f5b307))
* add tests for task-33 ([c05b66c](https://gitlab.com/booost/validator/commit/c05b66cb454e9f66dc06a744a68d5ea86f1a2a8e))
* add tests for task-34 ([1c3bc80](https://gitlab.com/booost/validator/commit/1c3bc80ced849c54b4f06ab3e5db1681e9b582ac))
* add tests for task-34 ([e943f33](https://gitlab.com/booost/validator/commit/e943f3317516145146fd33497650b38455ac57c9))
* adjust tests to new assets ([0cfdbb0](https://gitlab.com/booost/validator/commit/0cfdbb0a716b204d9975cac13c50a9d760c276ac))


### Bug Fixes

* always passing 401 unauthorized repos ([7353ece](https://gitlab.com/booost/validator/commit/7353ece54a863e1854ab6ac11ae0204b1ac2f4e6))
* broken WebGL Chrome config on Linux ([a591488](https://gitlab.com/booost/validator/commit/a5914884aa9187ef721de2dc1bbd3a8f83579ea5))
* change wrong test ID ([973f150](https://gitlab.com/booost/validator/commit/973f1502f190f34d1fa993078ddc0ad1aa4f4f54))
* disable video generation on test ([ef7b565](https://gitlab.com/booost/validator/commit/ef7b5656cd9970ba102864dba1851456c99057c1))
* failing chrome tests ([a1ace4f](https://gitlab.com/booost/validator/commit/a1ace4f3da81fcdea793bfe9d6e4504394b725c6))
* not cloning and installing user project ([40730de](https://gitlab.com/booost/validator/commit/40730dea216dbeb260e14144e046d92656c69695))
* potential fix for cypress hang ([748c611](https://gitlab.com/booost/validator/commit/748c611faf25ed1d7ce9762a898492f50b3fdaab))
* returning wrong status code ([ba60e7a](https://gitlab.com/booost/validator/commit/ba60e7af08ae24b16e28c510257e4badfb435ab9))
* run finished matching ([d9c1693](https://gitlab.com/booost/validator/commit/d9c16939319d005b5ac5df275254f2ed2651809a))
* task 28 test ([649ce63](https://gitlab.com/booost/validator/commit/649ce6350c9d47a0161a68f3ba22f3bde60d1e51))
* task-28 validation ([cd21b3a](https://gitlab.com/booost/validator/commit/cd21b3ab3fdcfe83bda152554d97ec8a3fef2951))
* wait for initial value before clicking the button ([b59bf28](https://gitlab.com/booost/validator/commit/b59bf28d6b0230797847290a27c76dbd0d22eeab))
* WebGL not working on Linux ([7a3cf0e](https://gitlab.com/booost/validator/commit/7a3cf0ecb5f66c444d1be4ecefeded69d38fda12))

## [1.3.0](https://gitlab.com/booost/validator/compare/v1.2.0...v1.3.0) (2021-01-12)


### Features

* add tests for js-task-2 ([5662afd](https://gitlab.com/booost/validator/commit/5662afdc46ad5740852b334a39fe2bf7f6ae3e70))
* add tests for js-task-31 ([9f4f042](https://gitlab.com/booost/validator/commit/9f4f042d834c84bb93f952abf1959d6b9e077724))
* add tests for task 30 ([28ef1cb](https://gitlab.com/booost/validator/commit/28ef1cbffaff656e2088fde66a66cd7f4b1b34a5))
* add tests for task-32 ([fc6189e](https://gitlab.com/booost/validator/commit/fc6189ec69770d286f43fa709c48c82f8b21f1b6))
* add tests to js-task-27 ([4156162](https://gitlab.com/booost/validator/commit/41561620cac0221eb67212eac5000081e5ae8386))


### Bug Fixes

* error status not passed trough to gitlab ([397fdff](https://gitlab.com/booost/validator/commit/397fdff80c5df53b615a289257a968a3472bd008))
* save cypress artifacts ([2166449](https://gitlab.com/booost/validator/commit/216644924fbc4ea8f8fb7617537c24a81bc06457))
* test title ([a2c1733](https://gitlab.com/booost/validator/commit/a2c1733248d8297f148fa30d45d3f7cfb060cc3f))
* tests path ([455d57f](https://gitlab.com/booost/validator/commit/455d57f620347d7a1ab19d744a1174ec144055b0))

## [1.2.0](https://gitlab.com/booost/validator/compare/v1.1.0...v1.2.0) (2021-01-11)


### Features

* add more tests for task-20 ([749094c](https://gitlab.com/booost/validator/commit/749094cfb6600a8f3cd03b60309a0630fc89cec4))
* add open parameter for easy development ([9e47e88](https://gitlab.com/booost/validator/commit/9e47e8867dc31cf03cf1de44e4fc4408322455e2))
* add pixi commands and getters and change how tests are executed ([148efc6](https://gitlab.com/booost/validator/commit/148efc6ea051285d59fa861d8f7b609c58028778))
* add PIXI error handling ([e72523f](https://gitlab.com/booost/validator/commit/e72523f67299a2b7ac9e14a08fd25a92ccff0177))
* add start dev server ([e59ddba](https://gitlab.com/booost/validator/commit/e59ddbafe12a6de7c6ca15261547d4cc8f916b03))
* add task-20 errors ([67afd68](https://gitlab.com/booost/validator/commit/67afd68743d752dc198bae93066a9af80cbcd074))
* add task-24 tests WIP ([8ba57b4](https://gitlab.com/booost/validator/commit/8ba57b48d6971b28391b6c6a04afe7d1d2dac2e8))
* add tests for task-19 ([a275d26](https://gitlab.com/booost/validator/commit/a275d26d45a9e302da77c98b011e2a8ec4ba09c1))
* add tests for task-20 ([6f8db39](https://gitlab.com/booost/validator/commit/6f8db39c10eb63eb90d36151fb10ac51a4b34a79))
* add tests for task-21 ([b72339a](https://gitlab.com/booost/validator/commit/b72339a5353ab558fc35fd3c87b9a0858bcc1615))
* add tests for task-22 ([0e4c21c](https://gitlab.com/booost/validator/commit/0e4c21c846b136208a834a2ccbca301811945b75))
* add tests for task-23 ([e26aafe](https://gitlab.com/booost/validator/commit/e26aafeb03eedb389b71a9f147b5ca6d6d197d16))


### Bug Fixes

* add other PIXI commands error handling ([9cc0091](https://gitlab.com/booost/validator/commit/9cc00917da19168d22b572b8ae504f5ab4f0539a))
* add pre-test settings ([78fd8e0](https://gitlab.com/booost/validator/commit/78fd8e06a3082ba0816bb325673f2466b4481dd6))
* finalize task-24 tests ([cba4ff6](https://gitlab.com/booost/validator/commit/cba4ff6156321736a5d8d6b85854f061913a604c))
* git validation issue and add docs ([2b7f510](https://gitlab.com/booost/validator/commit/2b7f51036e00e3f2a18ea5a78805acf15acc5d8e))
* refactor test running ([013496f](https://gitlab.com/booost/validator/commit/013496f8f2f4cd4eb53deea225945850c6d769e6))

## 1.1.0 (2020-12-29)


### Features

* add build steps ([c1a9f9d](https://gitlab.com/booost/validator/commit/c1a9f9d8fa6cf35b6afd6be43152b35c52010d28))
* add commit lint ([0f5887c](https://gitlab.com/booost/validator/commit/0f5887c01e07b8030196dc7310995129f374f66a))
* add custom error handling ([059fc46](https://gitlab.com/booost/validator/commit/059fc469ec7ec78f6063620b7222bb820527820d))
* add cypress command ([2c22d7e](https://gitlab.com/booost/validator/commit/2c22d7e2867539007d188e9fd1002e06e0b02c24))
* add dynamic repo testing in Cypress ([239df7f](https://gitlab.com/booost/validator/commit/239df7fb68260b8dbd292cc1bc5ccf57bbd418a1))
* add error reporting ([a2180be](https://gitlab.com/booost/validator/commit/a2180befed660cd43d938f635c94f242be19dc8c))
* add gitlab ci config ([970922b](https://gitlab.com/booost/validator/commit/970922be96bf4ffffe1a5ef5f6f2a14a82e034f2))
* add initial version ([e82d992](https://gitlab.com/booost/validator/commit/e82d9922bf21f4283494e9225d81449a542b23ff))
* add pipeline running prevention when pushing to validator repository ([673e6a3](https://gitlab.com/booost/validator/commit/673e6a31317fc024985c0c2cb45d0e83e341ccb3))
* add pipeline_url in task status endpoint ([9320bf7](https://gitlab.com/booost/validator/commit/9320bf799ac1ac9c683fb840687f292bc68601f4))
* add standard-version ([4140655](https://gitlab.com/booost/validator/commit/4140655c2f2dd13f51ae21445fdf851407b1370c))
* add support for Cypress variables coming from GitLab pipelines ([aa31456](https://gitlab.com/booost/validator/commit/aa31456b359f6dfb120a0dc309d7285c83f51bd0))
* add temporary test spec ([bdcdb81](https://gitlab.com/booost/validator/commit/bdcdb81b9840a840e21879ed75ff9c9213cf91cd))
* add testing of dynamic tasks ([ca9b8a3](https://gitlab.com/booost/validator/commit/ca9b8a3f4536636eb691b8ef8839b391528489cc))
* add tests for task-10 ([5ccac1d](https://gitlab.com/booost/validator/commit/5ccac1da466e0bfe9d5a84ba202ce3d9ab6e1432))
* add tests for task-11 ([2e1440e](https://gitlab.com/booost/validator/commit/2e1440e2a22c61f1ed31cf3ff2f4ab72c90cd18c))
* add tests for task-16 ([4186961](https://gitlab.com/booost/validator/commit/41869616801e347d29105b7e8107452cbd541595))
* add tests for task-17 ([f0961fa](https://gitlab.com/booost/validator/commit/f0961fa0955e07f8a02ba9d33c19c22a6929c1a3))
* add tests for task-18 ([1f8a361](https://gitlab.com/booost/validator/commit/1f8a36103f8ea9461ae3b1f77cb93e673b602cfd))
* add tests for task-7 ([52b6b06](https://gitlab.com/booost/validator/commit/52b6b068bf2cde8616aa96dd0ac2ff8dc5126144))
* add tests for task-8 ([7ca3d91](https://gitlab.com/booost/validator/commit/7ca3d91cb044a4fc3e8ba1263b6fffb24f43285c))
* add tests for task-9 ([b3fd83b](https://gitlab.com/booost/validator/commit/b3fd83b0ae8b02025bfea192d4bb15dd31be06a5))
* add validation for task-2 ([978ee10](https://gitlab.com/booost/validator/commit/978ee107f2d9b8a5ca1f187d326a0aed830d55b2))
* refactor code and add task-6 tests ([75a9a3f](https://gitlab.com/booost/validator/commit/75a9a3f9269ea868ea004a599c135ec4f99f035d))
* **tasks:** add repository submission and webhook status updates ([8226977](https://gitlab.com/booost/validator/commit/8226977f32455e33b1a673bf9b63707cd91221fc))


### Bug Fixes

* add npm install ([bedffdd](https://gitlab.com/booost/validator/commit/bedffddbc9ed3ab3efaf4d61098280a2f6617975))
* add step descriptions ([e9d05a2](https://gitlab.com/booost/validator/commit/e9d05a2d57ef9b60d90a121bda06afcbf7481f0e))
* change docker image ([b0d2b4b](https://gitlab.com/booost/validator/commit/b0d2b4b56f145e28486110341b7dd94c60f0f100))
* change docker image ([8b7a0f1](https://gitlab.com/booost/validator/commit/8b7a0f101f9e9e2eea50506a6d778f1a6354cb40))
* change docker image ([dcc5a53](https://gitlab.com/booost/validator/commit/dcc5a539e1d87f12053acbf0b8c8c5eea87a8469))
* change docker image ([d710877](https://gitlab.com/booost/validator/commit/d7108774a5f4b7c82dbe639a7fedc6feecff39a2))
* change docker image ([ae3ca78](https://gitlab.com/booost/validator/commit/ae3ca7823b1568ef24bc5cd3b1c7f3a6e680d54c))
* change docker image ([7e14b54](https://gitlab.com/booost/validator/commit/7e14b5409ae8809eeb9680d4668e198b15f849cf))
* change ref ([fdf99aa](https://gitlab.com/booost/validator/commit/fdf99aa2c9be67ece25d69c9dc8a551a27c67fb0))
* clean up ([2d51e00](https://gitlab.com/booost/validator/commit/2d51e00cda74f11529c264907bf501405e8afa55))
* custom command params ([b584ea1](https://gitlab.com/booost/validator/commit/b584ea182e935c1460aa8df818e41d060e3ebfde))
* exit on fail ([8165975](https://gitlab.com/booost/validator/commit/816597559f65e973e091cef76bc176b735a3bd58))
* rewrite command with quiet mode and json reporter ([e309fc7](https://gitlab.com/booost/validator/commit/e309fc7c84bfdaa09fbcb45b353b64f9446e45bd))
* test script for dev ref ([b897471](https://gitlab.com/booost/validator/commit/b897471ef5401da884cdce014a271bbf1e379fe1))
* use nodejs image ([1e1810d](https://gitlab.com/booost/validator/commit/1e1810da0091c4912c19a78eb5b8fb7102a1bd1b))
